Update the business and owner details of an end user
Send only the fields that change. Fields you do not send stay as they are.
Each business, owner, address, phone and credit score in GET /end_users/{id}/details has a heron_id. To change one of them, send its heron_id with the fields you want to change. To add a new one, send it without a heron_id. The business must always include its heron_id, if the deal already has a business.
To remove a value you set, send null. For a list, [] removes the whole list. To remove one item from a list, send the full list again without that item, because a list replaces the previous one.
curl --request PATCH \
--url https://app.herondata.io/api/end_users/{end_user_heron_id}/details \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"business": {
"billing_address": {
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"state_province": "<string>"
},
"dba": "<string>",
"emails": [
{
"email_address": "<string>"
}
],
"heron_id": "<string>",
"identifiers": [
{
"country": "<string>",
"value": "<string>"
}
],
"legal_name": "<string>",
"phone_number": {
"heron_id": "<string>",
"raw": "<string>"
},
"physical_address": {
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"state_province": "<string>"
},
"started_on": {
"day": 123,
"month": 123,
"year": 123
},
"state_of_incorporation": "<string>",
"website": "<string>"
},
"owners": [
{
"aliases": [
{
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"surname": "<string>"
}
],
"credit_scores": [
{
"score": 123,
"heron_id": "<string>",
"score_version_raw": "<string>",
"scored_on": "2023-12-25"
}
],
"date_of_birth": {
"day": 123,
"month": 123,
"year": 123
},
"emails": [
{
"email_address": "<string>"
}
],
"heron_id": "<string>",
"home_address": {
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"state_province": "<string>"
},
"home_phone_number": {
"heron_id": "<string>",
"raw": "<string>"
},
"mobile_phone_number": {
"heron_id": "<string>",
"raw": "<string>"
},
"name": {
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"surname": "<string>"
},
"national_ids": [
{
"country": "<string>",
"expires_on": "2023-12-25",
"state": "<string>",
"value": "<string>"
}
],
"ownership_percentage": 50
}
]
}
'import requests
url = "https://app.herondata.io/api/end_users/{end_user_heron_id}/details"
payload = {
"business": {
"billing_address": {
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"state_province": "<string>"
},
"dba": "<string>",
"emails": [{ "email_address": "<string>" }],
"heron_id": "<string>",
"identifiers": [
{
"country": "<string>",
"value": "<string>"
}
],
"legal_name": "<string>",
"phone_number": {
"heron_id": "<string>",
"raw": "<string>"
},
"physical_address": {
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"state_province": "<string>"
},
"started_on": {
"day": 123,
"month": 123,
"year": 123
},
"state_of_incorporation": "<string>",
"website": "<string>"
},
"owners": [
{
"aliases": [
{
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"surname": "<string>"
}
],
"credit_scores": [
{
"score": 123,
"heron_id": "<string>",
"score_version_raw": "<string>",
"scored_on": "2023-12-25"
}
],
"date_of_birth": {
"day": 123,
"month": 123,
"year": 123
},
"emails": [{ "email_address": "<string>" }],
"heron_id": "<string>",
"home_address": {
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"state_province": "<string>"
},
"home_phone_number": {
"heron_id": "<string>",
"raw": "<string>"
},
"mobile_phone_number": {
"heron_id": "<string>",
"raw": "<string>"
},
"name": {
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"surname": "<string>"
},
"national_ids": [
{
"country": "<string>",
"expires_on": "2023-12-25",
"state": "<string>",
"value": "<string>"
}
],
"ownership_percentage": 50
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business: {
billing_address: {
city: '<string>',
country: '<string>',
heron_id: '<string>',
line_1: '<string>',
line_2: '<string>',
postal_code: '<string>',
state_province: '<string>'
},
dba: '<string>',
emails: [{email_address: '<string>'}],
heron_id: '<string>',
identifiers: [{country: '<string>', value: '<string>'}],
legal_name: '<string>',
phone_number: {heron_id: '<string>', raw: '<string>'},
physical_address: {
city: '<string>',
country: '<string>',
heron_id: '<string>',
line_1: '<string>',
line_2: '<string>',
postal_code: '<string>',
state_province: '<string>'
},
started_on: {day: 123, month: 123, year: 123},
state_of_incorporation: '<string>',
website: '<string>'
},
owners: [
{
aliases: [
{
given: '<string>',
middle: '<string>',
prefix: '<string>',
suffix: '<string>',
surname: '<string>'
}
],
credit_scores: [
{
score: 123,
heron_id: '<string>',
score_version_raw: '<string>',
scored_on: '2023-12-25'
}
],
date_of_birth: {day: 123, month: 123, year: 123},
emails: [{email_address: '<string>'}],
heron_id: '<string>',
home_address: {
city: '<string>',
country: '<string>',
heron_id: '<string>',
line_1: '<string>',
line_2: '<string>',
postal_code: '<string>',
state_province: '<string>'
},
home_phone_number: {heron_id: '<string>', raw: '<string>'},
mobile_phone_number: {heron_id: '<string>', raw: '<string>'},
name: {
given: '<string>',
middle: '<string>',
prefix: '<string>',
suffix: '<string>',
surname: '<string>'
},
national_ids: [
{
country: '<string>',
expires_on: '2023-12-25',
state: '<string>',
value: '<string>'
}
],
ownership_percentage: 50
}
]
})
};
fetch('https://app.herondata.io/api/end_users/{end_user_heron_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.herondata.io/api/end_users/{end_user_heron_id}/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'business' => [
'billing_address' => [
'city' => '<string>',
'country' => '<string>',
'heron_id' => '<string>',
'line_1' => '<string>',
'line_2' => '<string>',
'postal_code' => '<string>',
'state_province' => '<string>'
],
'dba' => '<string>',
'emails' => [
[
'email_address' => '<string>'
]
],
'heron_id' => '<string>',
'identifiers' => [
[
'country' => '<string>',
'value' => '<string>'
]
],
'legal_name' => '<string>',
'phone_number' => [
'heron_id' => '<string>',
'raw' => '<string>'
],
'physical_address' => [
'city' => '<string>',
'country' => '<string>',
'heron_id' => '<string>',
'line_1' => '<string>',
'line_2' => '<string>',
'postal_code' => '<string>',
'state_province' => '<string>'
],
'started_on' => [
'day' => 123,
'month' => 123,
'year' => 123
],
'state_of_incorporation' => '<string>',
'website' => '<string>'
],
'owners' => [
[
'aliases' => [
[
'given' => '<string>',
'middle' => '<string>',
'prefix' => '<string>',
'suffix' => '<string>',
'surname' => '<string>'
]
],
'credit_scores' => [
[
'score' => 123,
'heron_id' => '<string>',
'score_version_raw' => '<string>',
'scored_on' => '2023-12-25'
]
],
'date_of_birth' => [
'day' => 123,
'month' => 123,
'year' => 123
],
'emails' => [
[
'email_address' => '<string>'
]
],
'heron_id' => '<string>',
'home_address' => [
'city' => '<string>',
'country' => '<string>',
'heron_id' => '<string>',
'line_1' => '<string>',
'line_2' => '<string>',
'postal_code' => '<string>',
'state_province' => '<string>'
],
'home_phone_number' => [
'heron_id' => '<string>',
'raw' => '<string>'
],
'mobile_phone_number' => [
'heron_id' => '<string>',
'raw' => '<string>'
],
'name' => [
'given' => '<string>',
'middle' => '<string>',
'prefix' => '<string>',
'suffix' => '<string>',
'surname' => '<string>'
],
'national_ids' => [
[
'country' => '<string>',
'expires_on' => '2023-12-25',
'state' => '<string>',
'value' => '<string>'
]
],
'ownership_percentage' => 50
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.herondata.io/api/end_users/{end_user_heron_id}/details"
payload := strings.NewReader("{\n \"business\": {\n \"billing_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"dba\": \"<string>\",\n \"emails\": [\n {\n \"email_address\": \"<string>\"\n }\n ],\n \"heron_id\": \"<string>\",\n \"identifiers\": [\n {\n \"country\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"legal_name\": \"<string>\",\n \"phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"physical_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"started_on\": {\n \"day\": 123,\n \"month\": 123,\n \"year\": 123\n },\n \"state_of_incorporation\": \"<string>\",\n \"website\": \"<string>\"\n },\n \"owners\": [\n {\n \"aliases\": [\n {\n \"given\": \"<string>\",\n \"middle\": \"<string>\",\n \"prefix\": \"<string>\",\n \"suffix\": \"<string>\",\n \"surname\": \"<string>\"\n }\n ],\n \"credit_scores\": [\n {\n \"score\": 123,\n \"heron_id\": \"<string>\",\n \"score_version_raw\": \"<string>\",\n \"scored_on\": \"2023-12-25\"\n }\n ],\n \"date_of_birth\": {\n \"day\": 123,\n \"month\": 123,\n \"year\": 123\n },\n \"emails\": [\n {\n \"email_address\": \"<string>\"\n }\n ],\n \"heron_id\": \"<string>\",\n \"home_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"home_phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"mobile_phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"name\": {\n \"given\": \"<string>\",\n \"middle\": \"<string>\",\n \"prefix\": \"<string>\",\n \"suffix\": \"<string>\",\n \"surname\": \"<string>\"\n },\n \"national_ids\": [\n {\n \"country\": \"<string>\",\n \"expires_on\": \"2023-12-25\",\n \"state\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"ownership_percentage\": 50\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.herondata.io/api/end_users/{end_user_heron_id}/details")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"business\": {\n \"billing_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"dba\": \"<string>\",\n \"emails\": [\n {\n \"email_address\": \"<string>\"\n }\n ],\n \"heron_id\": \"<string>\",\n \"identifiers\": [\n {\n \"country\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"legal_name\": \"<string>\",\n \"phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"physical_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"started_on\": {\n \"day\": 123,\n \"month\": 123,\n \"year\": 123\n },\n \"state_of_incorporation\": \"<string>\",\n \"website\": \"<string>\"\n },\n \"owners\": [\n {\n \"aliases\": [\n {\n \"given\": \"<string>\",\n \"middle\": \"<string>\",\n \"prefix\": \"<string>\",\n \"suffix\": \"<string>\",\n \"surname\": \"<string>\"\n }\n ],\n \"credit_scores\": [\n {\n \"score\": 123,\n \"heron_id\": \"<string>\",\n \"score_version_raw\": \"<string>\",\n \"scored_on\": \"2023-12-25\"\n }\n ],\n \"date_of_birth\": {\n \"day\": 123,\n \"month\": 123,\n \"year\": 123\n },\n \"emails\": [\n {\n \"email_address\": \"<string>\"\n }\n ],\n \"heron_id\": \"<string>\",\n \"home_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"home_phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"mobile_phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"name\": {\n \"given\": \"<string>\",\n \"middle\": \"<string>\",\n \"prefix\": \"<string>\",\n \"suffix\": \"<string>\",\n \"surname\": \"<string>\"\n },\n \"national_ids\": [\n {\n \"country\": \"<string>\",\n \"expires_on\": \"2023-12-25\",\n \"state\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"ownership_percentage\": 50\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.herondata.io/api/end_users/{end_user_heron_id}/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"business\": {\n \"billing_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"dba\": \"<string>\",\n \"emails\": [\n {\n \"email_address\": \"<string>\"\n }\n ],\n \"heron_id\": \"<string>\",\n \"identifiers\": [\n {\n \"country\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"legal_name\": \"<string>\",\n \"phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"physical_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"started_on\": {\n \"day\": 123,\n \"month\": 123,\n \"year\": 123\n },\n \"state_of_incorporation\": \"<string>\",\n \"website\": \"<string>\"\n },\n \"owners\": [\n {\n \"aliases\": [\n {\n \"given\": \"<string>\",\n \"middle\": \"<string>\",\n \"prefix\": \"<string>\",\n \"suffix\": \"<string>\",\n \"surname\": \"<string>\"\n }\n ],\n \"credit_scores\": [\n {\n \"score\": 123,\n \"heron_id\": \"<string>\",\n \"score_version_raw\": \"<string>\",\n \"scored_on\": \"2023-12-25\"\n }\n ],\n \"date_of_birth\": {\n \"day\": 123,\n \"month\": 123,\n \"year\": 123\n },\n \"emails\": [\n {\n \"email_address\": \"<string>\"\n }\n ],\n \"heron_id\": \"<string>\",\n \"home_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"home_phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"mobile_phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"name\": {\n \"given\": \"<string>\",\n \"middle\": \"<string>\",\n \"prefix\": \"<string>\",\n \"suffix\": \"<string>\",\n \"surname\": \"<string>\"\n },\n \"national_ids\": [\n {\n \"country\": \"<string>\",\n \"expires_on\": \"2023-12-25\",\n \"state\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"ownership_percentage\": 50\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"business": {
"_sources": {},
"billing_address": {
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
},
"dba": "<string>",
"emails": [
{
"_source": "<string>",
"email_address": "<string>"
}
],
"entity_type": "llc",
"heron_id": "<string>",
"identifiers": [
{
"_source": "<string>",
"country": "<string>",
"type": "us_ein",
"value": "<string>"
}
],
"industry": {
"_sources": {},
"code": "<string>",
"description": "<string>",
"heron_id": "<string>",
"scheme": "naics"
},
"legal_name": "<string>",
"other_addresses": [
{
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
}
],
"phone_number": {
"_sources": {},
"country_code": "<string>",
"heron_id": "<string>",
"is_valid": true,
"line_type": "fixed_line",
"national_destination_code": "<string>",
"normalized": "<string>",
"raw": "<string>",
"subscriber_number": "<string>"
},
"physical_address": {
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
},
"social_media": {
"facebook": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"instagram": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"linkedin": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
}
},
"standing": "active",
"started_on": {
"day": 123,
"month": 123,
"year": 123
},
"state_of_incorporation": "<string>",
"website": "<string>"
},
"custom_entities": {},
"owners": [
{
"_sources": {},
"aliases": [
{
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"raw": "<string>",
"suffix": "<string>",
"surname": "<string>",
"type": "legal"
}
],
"country_of_residence": "<string>",
"credit_scores": [
{
"score": 123,
"_sources": {},
"bureau": "equifax",
"heron_id": "<string>",
"score_model": "fico",
"score_model_raw": "<string>",
"score_version_raw": "<string>",
"scored_on": "2023-12-25"
}
],
"date_of_birth": {
"day": 123,
"month": 123,
"year": 123
},
"deceased_on": "2023-12-25",
"emails": [
{
"_source": "<string>",
"email_address": "<string>"
}
],
"heron_id": "<string>",
"home_address": {
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
},
"home_phone_number": {
"_sources": {},
"country_code": "<string>",
"heron_id": "<string>",
"is_valid": true,
"line_type": "fixed_line",
"national_destination_code": "<string>",
"normalized": "<string>",
"raw": "<string>",
"subscriber_number": "<string>"
},
"is_deceased": true,
"mobile_phone_number": {
"_sources": {},
"country_code": "<string>",
"heron_id": "<string>",
"is_valid": true,
"line_type": "fixed_line",
"national_destination_code": "<string>",
"normalized": "<string>",
"raw": "<string>",
"subscriber_number": "<string>"
},
"name": {
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"raw": "<string>",
"suffix": "<string>",
"surname": "<string>",
"type": "legal"
},
"national_ids": [
{
"_source": "<string>",
"country": "<string>",
"expires_on": "2023-12-25",
"state": "<string>",
"type": "us_ssn",
"value": "<string>"
}
],
"other_addresses": [
{
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
}
],
"ownership_percentage": 123,
"social_media": {
"facebook": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"instagram": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"linkedin": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
}
}
}
]
}Authorizations
Path Parameters
The Heron ID of the end user
Body
Updates the business and owner details. Fields you do not send stay as they are. To remove a value you set, send null. The response is the same as GET /end_users/{id}/details.
Response
OK
The business and its owners, with one value per field.
The applicant's business.
Show child attributes
Show child attributes
Your custom fields, grouped by entity name. Each entity has its values and a _sources object with the source of each value.
Show child attributes
Show child attributes
The business owners. Owners named by more sources come first, then the largest ownership percentage, then the order on the application.
Show child attributes
Show child attributes
Was this page helpful?
curl --request PATCH \
--url https://app.herondata.io/api/end_users/{end_user_heron_id}/details \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"business": {
"billing_address": {
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"state_province": "<string>"
},
"dba": "<string>",
"emails": [
{
"email_address": "<string>"
}
],
"heron_id": "<string>",
"identifiers": [
{
"country": "<string>",
"value": "<string>"
}
],
"legal_name": "<string>",
"phone_number": {
"heron_id": "<string>",
"raw": "<string>"
},
"physical_address": {
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"state_province": "<string>"
},
"started_on": {
"day": 123,
"month": 123,
"year": 123
},
"state_of_incorporation": "<string>",
"website": "<string>"
},
"owners": [
{
"aliases": [
{
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"surname": "<string>"
}
],
"credit_scores": [
{
"score": 123,
"heron_id": "<string>",
"score_version_raw": "<string>",
"scored_on": "2023-12-25"
}
],
"date_of_birth": {
"day": 123,
"month": 123,
"year": 123
},
"emails": [
{
"email_address": "<string>"
}
],
"heron_id": "<string>",
"home_address": {
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"state_province": "<string>"
},
"home_phone_number": {
"heron_id": "<string>",
"raw": "<string>"
},
"mobile_phone_number": {
"heron_id": "<string>",
"raw": "<string>"
},
"name": {
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"surname": "<string>"
},
"national_ids": [
{
"country": "<string>",
"expires_on": "2023-12-25",
"state": "<string>",
"value": "<string>"
}
],
"ownership_percentage": 50
}
]
}
'import requests
url = "https://app.herondata.io/api/end_users/{end_user_heron_id}/details"
payload = {
"business": {
"billing_address": {
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"state_province": "<string>"
},
"dba": "<string>",
"emails": [{ "email_address": "<string>" }],
"heron_id": "<string>",
"identifiers": [
{
"country": "<string>",
"value": "<string>"
}
],
"legal_name": "<string>",
"phone_number": {
"heron_id": "<string>",
"raw": "<string>"
},
"physical_address": {
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"state_province": "<string>"
},
"started_on": {
"day": 123,
"month": 123,
"year": 123
},
"state_of_incorporation": "<string>",
"website": "<string>"
},
"owners": [
{
"aliases": [
{
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"surname": "<string>"
}
],
"credit_scores": [
{
"score": 123,
"heron_id": "<string>",
"score_version_raw": "<string>",
"scored_on": "2023-12-25"
}
],
"date_of_birth": {
"day": 123,
"month": 123,
"year": 123
},
"emails": [{ "email_address": "<string>" }],
"heron_id": "<string>",
"home_address": {
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"state_province": "<string>"
},
"home_phone_number": {
"heron_id": "<string>",
"raw": "<string>"
},
"mobile_phone_number": {
"heron_id": "<string>",
"raw": "<string>"
},
"name": {
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"surname": "<string>"
},
"national_ids": [
{
"country": "<string>",
"expires_on": "2023-12-25",
"state": "<string>",
"value": "<string>"
}
],
"ownership_percentage": 50
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business: {
billing_address: {
city: '<string>',
country: '<string>',
heron_id: '<string>',
line_1: '<string>',
line_2: '<string>',
postal_code: '<string>',
state_province: '<string>'
},
dba: '<string>',
emails: [{email_address: '<string>'}],
heron_id: '<string>',
identifiers: [{country: '<string>', value: '<string>'}],
legal_name: '<string>',
phone_number: {heron_id: '<string>', raw: '<string>'},
physical_address: {
city: '<string>',
country: '<string>',
heron_id: '<string>',
line_1: '<string>',
line_2: '<string>',
postal_code: '<string>',
state_province: '<string>'
},
started_on: {day: 123, month: 123, year: 123},
state_of_incorporation: '<string>',
website: '<string>'
},
owners: [
{
aliases: [
{
given: '<string>',
middle: '<string>',
prefix: '<string>',
suffix: '<string>',
surname: '<string>'
}
],
credit_scores: [
{
score: 123,
heron_id: '<string>',
score_version_raw: '<string>',
scored_on: '2023-12-25'
}
],
date_of_birth: {day: 123, month: 123, year: 123},
emails: [{email_address: '<string>'}],
heron_id: '<string>',
home_address: {
city: '<string>',
country: '<string>',
heron_id: '<string>',
line_1: '<string>',
line_2: '<string>',
postal_code: '<string>',
state_province: '<string>'
},
home_phone_number: {heron_id: '<string>', raw: '<string>'},
mobile_phone_number: {heron_id: '<string>', raw: '<string>'},
name: {
given: '<string>',
middle: '<string>',
prefix: '<string>',
suffix: '<string>',
surname: '<string>'
},
national_ids: [
{
country: '<string>',
expires_on: '2023-12-25',
state: '<string>',
value: '<string>'
}
],
ownership_percentage: 50
}
]
})
};
fetch('https://app.herondata.io/api/end_users/{end_user_heron_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.herondata.io/api/end_users/{end_user_heron_id}/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'business' => [
'billing_address' => [
'city' => '<string>',
'country' => '<string>',
'heron_id' => '<string>',
'line_1' => '<string>',
'line_2' => '<string>',
'postal_code' => '<string>',
'state_province' => '<string>'
],
'dba' => '<string>',
'emails' => [
[
'email_address' => '<string>'
]
],
'heron_id' => '<string>',
'identifiers' => [
[
'country' => '<string>',
'value' => '<string>'
]
],
'legal_name' => '<string>',
'phone_number' => [
'heron_id' => '<string>',
'raw' => '<string>'
],
'physical_address' => [
'city' => '<string>',
'country' => '<string>',
'heron_id' => '<string>',
'line_1' => '<string>',
'line_2' => '<string>',
'postal_code' => '<string>',
'state_province' => '<string>'
],
'started_on' => [
'day' => 123,
'month' => 123,
'year' => 123
],
'state_of_incorporation' => '<string>',
'website' => '<string>'
],
'owners' => [
[
'aliases' => [
[
'given' => '<string>',
'middle' => '<string>',
'prefix' => '<string>',
'suffix' => '<string>',
'surname' => '<string>'
]
],
'credit_scores' => [
[
'score' => 123,
'heron_id' => '<string>',
'score_version_raw' => '<string>',
'scored_on' => '2023-12-25'
]
],
'date_of_birth' => [
'day' => 123,
'month' => 123,
'year' => 123
],
'emails' => [
[
'email_address' => '<string>'
]
],
'heron_id' => '<string>',
'home_address' => [
'city' => '<string>',
'country' => '<string>',
'heron_id' => '<string>',
'line_1' => '<string>',
'line_2' => '<string>',
'postal_code' => '<string>',
'state_province' => '<string>'
],
'home_phone_number' => [
'heron_id' => '<string>',
'raw' => '<string>'
],
'mobile_phone_number' => [
'heron_id' => '<string>',
'raw' => '<string>'
],
'name' => [
'given' => '<string>',
'middle' => '<string>',
'prefix' => '<string>',
'suffix' => '<string>',
'surname' => '<string>'
],
'national_ids' => [
[
'country' => '<string>',
'expires_on' => '2023-12-25',
'state' => '<string>',
'value' => '<string>'
]
],
'ownership_percentage' => 50
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.herondata.io/api/end_users/{end_user_heron_id}/details"
payload := strings.NewReader("{\n \"business\": {\n \"billing_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"dba\": \"<string>\",\n \"emails\": [\n {\n \"email_address\": \"<string>\"\n }\n ],\n \"heron_id\": \"<string>\",\n \"identifiers\": [\n {\n \"country\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"legal_name\": \"<string>\",\n \"phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"physical_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"started_on\": {\n \"day\": 123,\n \"month\": 123,\n \"year\": 123\n },\n \"state_of_incorporation\": \"<string>\",\n \"website\": \"<string>\"\n },\n \"owners\": [\n {\n \"aliases\": [\n {\n \"given\": \"<string>\",\n \"middle\": \"<string>\",\n \"prefix\": \"<string>\",\n \"suffix\": \"<string>\",\n \"surname\": \"<string>\"\n }\n ],\n \"credit_scores\": [\n {\n \"score\": 123,\n \"heron_id\": \"<string>\",\n \"score_version_raw\": \"<string>\",\n \"scored_on\": \"2023-12-25\"\n }\n ],\n \"date_of_birth\": {\n \"day\": 123,\n \"month\": 123,\n \"year\": 123\n },\n \"emails\": [\n {\n \"email_address\": \"<string>\"\n }\n ],\n \"heron_id\": \"<string>\",\n \"home_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"home_phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"mobile_phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"name\": {\n \"given\": \"<string>\",\n \"middle\": \"<string>\",\n \"prefix\": \"<string>\",\n \"suffix\": \"<string>\",\n \"surname\": \"<string>\"\n },\n \"national_ids\": [\n {\n \"country\": \"<string>\",\n \"expires_on\": \"2023-12-25\",\n \"state\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"ownership_percentage\": 50\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.herondata.io/api/end_users/{end_user_heron_id}/details")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"business\": {\n \"billing_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"dba\": \"<string>\",\n \"emails\": [\n {\n \"email_address\": \"<string>\"\n }\n ],\n \"heron_id\": \"<string>\",\n \"identifiers\": [\n {\n \"country\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"legal_name\": \"<string>\",\n \"phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"physical_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"started_on\": {\n \"day\": 123,\n \"month\": 123,\n \"year\": 123\n },\n \"state_of_incorporation\": \"<string>\",\n \"website\": \"<string>\"\n },\n \"owners\": [\n {\n \"aliases\": [\n {\n \"given\": \"<string>\",\n \"middle\": \"<string>\",\n \"prefix\": \"<string>\",\n \"suffix\": \"<string>\",\n \"surname\": \"<string>\"\n }\n ],\n \"credit_scores\": [\n {\n \"score\": 123,\n \"heron_id\": \"<string>\",\n \"score_version_raw\": \"<string>\",\n \"scored_on\": \"2023-12-25\"\n }\n ],\n \"date_of_birth\": {\n \"day\": 123,\n \"month\": 123,\n \"year\": 123\n },\n \"emails\": [\n {\n \"email_address\": \"<string>\"\n }\n ],\n \"heron_id\": \"<string>\",\n \"home_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"home_phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"mobile_phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"name\": {\n \"given\": \"<string>\",\n \"middle\": \"<string>\",\n \"prefix\": \"<string>\",\n \"suffix\": \"<string>\",\n \"surname\": \"<string>\"\n },\n \"national_ids\": [\n {\n \"country\": \"<string>\",\n \"expires_on\": \"2023-12-25\",\n \"state\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"ownership_percentage\": 50\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.herondata.io/api/end_users/{end_user_heron_id}/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"business\": {\n \"billing_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"dba\": \"<string>\",\n \"emails\": [\n {\n \"email_address\": \"<string>\"\n }\n ],\n \"heron_id\": \"<string>\",\n \"identifiers\": [\n {\n \"country\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"legal_name\": \"<string>\",\n \"phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"physical_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"started_on\": {\n \"day\": 123,\n \"month\": 123,\n \"year\": 123\n },\n \"state_of_incorporation\": \"<string>\",\n \"website\": \"<string>\"\n },\n \"owners\": [\n {\n \"aliases\": [\n {\n \"given\": \"<string>\",\n \"middle\": \"<string>\",\n \"prefix\": \"<string>\",\n \"suffix\": \"<string>\",\n \"surname\": \"<string>\"\n }\n ],\n \"credit_scores\": [\n {\n \"score\": 123,\n \"heron_id\": \"<string>\",\n \"score_version_raw\": \"<string>\",\n \"scored_on\": \"2023-12-25\"\n }\n ],\n \"date_of_birth\": {\n \"day\": 123,\n \"month\": 123,\n \"year\": 123\n },\n \"emails\": [\n {\n \"email_address\": \"<string>\"\n }\n ],\n \"heron_id\": \"<string>\",\n \"home_address\": {\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"heron_id\": \"<string>\",\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\"\n },\n \"home_phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"mobile_phone_number\": {\n \"heron_id\": \"<string>\",\n \"raw\": \"<string>\"\n },\n \"name\": {\n \"given\": \"<string>\",\n \"middle\": \"<string>\",\n \"prefix\": \"<string>\",\n \"suffix\": \"<string>\",\n \"surname\": \"<string>\"\n },\n \"national_ids\": [\n {\n \"country\": \"<string>\",\n \"expires_on\": \"2023-12-25\",\n \"state\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"ownership_percentage\": 50\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"business": {
"_sources": {},
"billing_address": {
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
},
"dba": "<string>",
"emails": [
{
"_source": "<string>",
"email_address": "<string>"
}
],
"entity_type": "llc",
"heron_id": "<string>",
"identifiers": [
{
"_source": "<string>",
"country": "<string>",
"type": "us_ein",
"value": "<string>"
}
],
"industry": {
"_sources": {},
"code": "<string>",
"description": "<string>",
"heron_id": "<string>",
"scheme": "naics"
},
"legal_name": "<string>",
"other_addresses": [
{
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
}
],
"phone_number": {
"_sources": {},
"country_code": "<string>",
"heron_id": "<string>",
"is_valid": true,
"line_type": "fixed_line",
"national_destination_code": "<string>",
"normalized": "<string>",
"raw": "<string>",
"subscriber_number": "<string>"
},
"physical_address": {
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
},
"social_media": {
"facebook": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"instagram": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"linkedin": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
}
},
"standing": "active",
"started_on": {
"day": 123,
"month": 123,
"year": 123
},
"state_of_incorporation": "<string>",
"website": "<string>"
},
"custom_entities": {},
"owners": [
{
"_sources": {},
"aliases": [
{
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"raw": "<string>",
"suffix": "<string>",
"surname": "<string>",
"type": "legal"
}
],
"country_of_residence": "<string>",
"credit_scores": [
{
"score": 123,
"_sources": {},
"bureau": "equifax",
"heron_id": "<string>",
"score_model": "fico",
"score_model_raw": "<string>",
"score_version_raw": "<string>",
"scored_on": "2023-12-25"
}
],
"date_of_birth": {
"day": 123,
"month": 123,
"year": 123
},
"deceased_on": "2023-12-25",
"emails": [
{
"_source": "<string>",
"email_address": "<string>"
}
],
"heron_id": "<string>",
"home_address": {
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
},
"home_phone_number": {
"_sources": {},
"country_code": "<string>",
"heron_id": "<string>",
"is_valid": true,
"line_type": "fixed_line",
"national_destination_code": "<string>",
"normalized": "<string>",
"raw": "<string>",
"subscriber_number": "<string>"
},
"is_deceased": true,
"mobile_phone_number": {
"_sources": {},
"country_code": "<string>",
"heron_id": "<string>",
"is_valid": true,
"line_type": "fixed_line",
"national_destination_code": "<string>",
"normalized": "<string>",
"raw": "<string>",
"subscriber_number": "<string>"
},
"name": {
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"raw": "<string>",
"suffix": "<string>",
"surname": "<string>",
"type": "legal"
},
"national_ids": [
{
"_source": "<string>",
"country": "<string>",
"expires_on": "2023-12-25",
"state": "<string>",
"type": "us_ssn",
"value": "<string>"
}
],
"other_addresses": [
{
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
}
],
"ownership_percentage": 123,
"social_media": {
"facebook": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"instagram": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"linkedin": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
}
}
}
]
}